<?php
/**
 * A general drive class for all kind of "drives".
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class BaseDrive extends BaseSimulator {
	// Price of this drive
	private $price      = 0.00;
	// PS-Zahl
	private $horsePower = 0;
	// Anzahl Nocken
	private $numCams    = 0;

	// Konstruktor
	protected function __construct ($className) {
		// Call parent constructor
		parent::__construct($className);
	}

	// Setter-Methode fuert PS-Zahl
	public final function setHorsePower ($hp) {
		$this->horsePower = (int) $hp;
	}

	// Setter-Methode fuer Nockenanzahl
	public final function setNumCams ($cams) {
		$this->numCams = (int) $cams;
	}

	// Setter for price
	public final function setPrice ($price) {
		$this->price = (float) $price;
	}

	// Getter for price
	public final function getPrice () {
		return $this->price;
	}

	public final function removePrice () {
		unset($this->price);
	}
}

// [EOF]
?>
