<?php
/**
 * A filter for currency booking in refill requests. This filter shall "book" the
 * requested amount of points directly on the users account. This filter is for
 * testing/developing only and was needed for the first developement stage of the
 * game. You should not really use this filter on your "live-system".
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class RefillRequestCurrencyTestBookFilter extends BaseShipSimuFilter implements Filterable {
	/**
	 * Protected constructor
	 *
	 * @return	void
	 */
	protected function __construct () {
		// Call parent constructor
		parent::__construct(__CLASS__);
	}

	/**
	 * Creates an instance of this filter class
	 *
	 * @return	$filterInstance		An instance of this filter class
	 */
	public static final function createRefillRequestCurrencyTestBookFilter () {
		// Get a new instance
		$filterInstance = new RefillRequestCurrencyTestBookFilter();

		// Return the instance
		return $filterInstance;
	}

	/**
	 * Executes the filter with given request and response objects
	 *
	 * @param	$requestInstance	An instance of a class with an Requestable interface
	 * @param	$responseInstance	An instance of a class with an Responseable interface
	 * @return	void
	 * @todo	Add code being executed in this filter
	 */
	public function execute (Requestable $requestInstance, Responseable $responseInstance) {
		// Execute the parent execute method
		parent::execute($requestInstance, $responseInstance);

		// Get the user instance from registry
		$userInstance = Registry::getRegistry()->getInstance('user');

		// Run the update
		$userInstance->bookAmountDirectly($requestInstance);
	}
}

// [EOF]
?>
