<?php
/**
 * An exception thrown when the contract we want to sign is already signed
 *
 * @author		Roland Haeder <webmaster@shipsimu.org>
 * @version		0.0.0
 * @copyright	Copyright (c) 2007, 2008 Roland Haeder, 2009 Ship-Simu Developer Team
 * @license		GNU GPL 3.0 or any newer version
 * @link		http://www.shipsimu.org
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program. If not, see <http://www.gnu.org/licenses/>.
 */
class ContractAllreadySignedException extends FrameworkException {
	public function __construct (array $classArray, $code) {
		// Add a message around the missing class
		$message = sprintf("[%s:] Die Vertragsparteien <span class=\"exception_reason\">%s</span> und <span class=\"exception_reason\">%s</span> haben den Vertrag bereits unterzeichnet!",
			$classArray[0]->__toString(),
			$classArray[1]->getCompanyName(),
			$classArray[2]->getCompanyName()
		);

		// Call parent constructor
		parent::__construct($message, $code);
	}
}

// [EOF]
?>
